curl --request GET \
--url https://chat.domix.ai/api/v1/accounts/{account_id}/automation_rules/{id} \
--header 'api-access-token: <api-key>'import requests
url = "https://chat.domix.ai/api/v1/accounts/{account_id}/automation_rules/{id}"
headers = {"api-access-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'api-access-token': '<api-key>'}};
fetch('https://chat.domix.ai/api/v1/accounts/{account_id}/automation_rules/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"payload": {
"id": 90,
"account_id": 1,
"name": "add-label-bug-if-message-contains-bug",
"description": "add-label-bug-if-message-contains-bug",
"event_name": "message_created",
"conditions": [
{
"values": [
"incoming"
],
"attribute_key": "message_type",
"query_operator": "and",
"filter_operator": "equal_to"
},
{
"values": [
"bug"
],
"attribute_key": "content",
"filter_operator": "contains"
}
],
"actions": [
{
"action_name": "add_label",
"action_params": [
"bugs",
"support-query"
]
}
],
"created_on": 1650555440,
"active": true
}
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Get a automation rule details
Get the details of a automation rule in the account
Authorizations
This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.
Path Parameters
ID of the Automation Rule
The numeric ID of the account
Response
Success
- object[]
- object
Hide child attributes
Hide child attributes
The ID of the automation rule
Account Id
The name of the rule
"Add label on message create event"
Description to give more context about the rule
"Add label support and sales on message create event if incoming message content contains text help"
Automation Rule event, on which we call the actions(conversation_created, conversation_updated, message_created)
conversation_created, conversation_updated, message_created "message_created"
The timestamp when the rule was created
Enable/disable automation rule